# Module: crypto/mode/gcm

This module wraps native AES-GCM en/decryption for both the WebCrypto api as well as node.js' crypto api.

Source:
  - crypto/mode/gcm.js, line 18

### Methods

#### (async, inner) GCM(cipher, key)

Class to en/decrypt using GCM mode.

##### Parameters:

Name | Type | Description
--- | --- | ---
`cipher` | enums.symmetric | The symmetric cipher algorithm to use
`key` | Uint8Array | The encryption key

Source:
  - crypto/mode/gcm.js, line 42